<main class="site-main">

    <!--================ Hero banner start =================-->
    <section class="hero-banner">
      <div class="container">
        <div class="row no-gutters align-items-center pt-60px">
          <div class="col-5 d-none d-sm-block">
            <div class="hero-banner__img">
              <img class="img-fluid" src="assets/img/home/hero-banner.jpg" alt="">
            </div>
          </div>
          <div class="col-sm-7 col-lg-6 offset-lg-1 pl-4 pl-md-5 pl-lg-0">
            <div class="hero-banner__content">
              <h4>Comprar é divertido</h4>
              <h1>Encontre o seu calçado ideal</h1>
              <p>
                Para si, que procura estar na moda e confortável ao mesmo tempo, temos uma vasta gama de calçado para todas as ocasiões.
              </p>
              <a class="button button-hero" href="#">Encontre Agora</a>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!--================ Hero banner start =================-->

    <!-- ================ Best Selling item  carousel ================= -->
    <section class="section-margin">
      <div class="container">
        <div class="section-intro pb-60px">
          <p>Produtos mais populares</p>
          <h3><span class="section-intro__style">Mais Vendidos</span></h3>
        </div>
        <div class="row">
          <div *ngFor="let product of bestSellers" class="col-md-6 col-lg-4 col-xl-3">
            <div class="card text-center card-product" [routerLink]="['/product', product.id]">
              <div class="card-product__img">
                <img class="card-img" src="{{product.imageUrl}}" alt="">
                <ul class="card-product__imgOverlay">
                  <li><button [routerLink]="['/product', product.id]"><i class="ti-search"></i></button></li>
                  <li><button><i class="ti-shopping-cart"></i></button></li>
                  <li><button><i class="ti-heart"></i></button></li>
                </ul>
              </div>
              <div class="card-body">
                <p>{{product.category}}</p>
                <h4 class="card-product__title"><a [routerLink]="['/product', product.id]">{{product.name}}</a></h4>
                <p class="card-product__price">€{{product.price}}</p>
              </div>
            </div>
          </div>
        </div>
        <div class="form-group text-center text-md-center mt-2">
          <button type="submit"  class="button button--active button-secondary" [routerLink]="['/shop', '']">Ver mais</button>
        </div>

      </div>
    </section>
    <!-- ================ Best Selling item  carousel end ================= -->

    <!-- ================ offer section start ================= -->
    <section class="offer" id="parallax-1" data-anchor-target="#parallax-1" data-300-top="background-position: 0px 30px" data-top-bottom="background-position: 0 20px">
      <div class="container">
        <div class="row">
          <div class="col-xl-5">
            <div class="offer__content text-center">
              <h3>Descontos até 50%</h3>
              <h4>Coleção de Outono</h4>
              <p>*Promoção válida até Junho</p>
              <a class="button button--active mt-3 mt-xl-4" href="#">Saber mais</a>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!-- ================ offer section end ================= -->

    <!-- ================ trending product section start ================= -->
    <section class="section-margin">
      <div class="container">
        <div class="section-intro pb-60px">
          <p>Produtos mais populares</p>
          <h3><span class="section-intro__style">Tendências</span></h3>
        </div>

        <div class="row">
          <div *ngFor="let product of trends" class="col-md-6 col-lg-4 col-xl-3">
            <div class="card text-center card-product" [routerLink]="['/product', product.id]">
              <div class="card-product__img">
                <img class="card-img" src="{{product.imageUrl}}" alt="">
                <ul class="card-product__imgOverlay">
                  <li><button ><i class="ti-search"></i></button></li>
                  <li><button><i class="ti-shopping-cart"></i></button></li>
                  <li><button><i class="ti-heart"></i></button></li>
                </ul>
              </div>
              <div class="card-body">
                <p>{{product.category}}</p>
                <h4 class="card-product__title"><a [routerLink]="['/product', product.id]">{{product.name}}</a></h4>
                <p class="card-product__price">€{{product.price}}</p>
              </div>
            </div>
          </div>
        </div>
        <div class="form-group text-center text-md-center mt-2">
          <button type="submit" class="button button--active button-secondary" [routerLink]="['/shop', '']">Ver mais</button>
        </div>

      </div>
    </section>
    <!-- ================ trending product section end ================= -->

    <!--================Instagram Area =================-->
  <!-- <section class="instagram_area">
    <div class="container box_1620">
      <div class="insta_btn">
        <a class="btn theme_btn" href="https://www.instagram.com/mundo_do_calcado/">Visite o nosso instagram</a>
      </div>
      <div class="instagram_image row m0">
        <a *ngFor="let image of instagramPics" href="#">
          <img src="{{image.url}}" alt="">
        </a>
       </div>
    </div>
  </section> -->
  <!--================End Instagram Area =================-->

  </main>
